# RPM Tag API.

## Typedefs
typedef enum rpmTag_e | rpmTag
| Tags identify data in package headers.
typedef enum rpmTagClass_e | rpmTagClass
| The classes of data in tags from headers.
## Enumerations
enum | rpmTag_e { RPMTAG_HEADERIMAGE = 61, RPMTAG_HEADERSIGNATURES = 62, RPMTAG_HEADERIMMUTABLE = 63, RPMTAG_HEADERREGIONS = 64, RPMTAG_HEADERI18NTABLE = 100, RPMTAG_SIG_BASE = 256, RPMTAG_SIGSIZE = RPMTAG_SIG_BASE+1, RPMTAG_SIGLEMD5_1 = RPMTAG_SIG_BASE+2, RPMTAG_SIGPGP = RPMTAG_SIG_BASE+3, RPMTAG_SIGLEMD5_2 = RPMTAG_SIG_BASE+4, RPMTAG_SIGMD5 = RPMTAG_SIG_BASE+5 }
| Tags identify data in package headers. More...
enum | rpmTagClass_e { RPM_NULL_CLASS = 0, RPM_NUMERIC_CLASS = 1, RPM_STRING_CLASS = 2, RPM_BINARY_CLASS = 3 }
| The classes of data in tags from headers. More...
## Functions
const char * | rpmTagGetName (rpmTag tag)
| Return tag name from value.
rpmTagType | rpmTagGetType (rpmTag tag)
| Return tag data type from value.
rpmTagClass | rpmTagGetClass (rpmTag tag)
| Return tag data class from value.
rpmTag | rpmTagGetValue (const char *tagstr)
| Return tag value from name.
rpmTagClass | rpmTagTypeGetClass (rpmTagType type)
| Return data class of type.
int | rpmTagGetNames (rpmtd tagnames, int fullname)
| Return known rpm tag names, sorted by name.

## Typedef Documentation

typedef enum rpmTag_e rpmTag

Tags identify data in package headers.

Note:
  tags should not have value 0!

Todo:
  : Somehow supply type

typedef enum rpmTagClass_e rpmTagClass

The classes of data in tags from headers.

## Enumeration Type Documentation

enum rpmTag_e

Tags identify data in package headers.

Note:
  tags should not have value 0!

Todo:
  : Somehow supply type

Enumerator:

  RPMTAG_HEADERIMAGE | Current image.
  RPMTAG_HEADERSIGNATURES | Signatures.
  RPMTAG_HEADERIMMUTABLE | Original image.
  RPMTAG_HEADERREGIONS | Regions.
  RPMTAG_HEADERI18NTABLE |
  RPMTAG_SIG_BASE |
  RPMTAG_SIGSIZE |
  RPMTAG_SIGLEMD5_1 |
  RPMTAG_SIGPGP |
  RPMTAG_SIGLEMD5_2 |
  RPMTAG_SIGMD5 |

Definition at line 40 of file rpmtag.h.

enum rpmTagClass_e

The classes of data in tags from headers.

Enumerator:

  RPM_NULL_CLASS |
  RPM_NUMERIC_CLASS |
  RPM_STRING_CLASS |
  RPM_BINARY_CLASS |

Definition at line 347 of file rpmtag.h.

## Function Documentation

rpmTagClass rpmTagGetClass | ( | rpmTag | tag | ) |

Return tag data class from value.

Parameters:

  | tag | tag value

Returns:
  tag data class, RPM_NULL_CLASS on not found.

const char* rpmTagGetName | ( | rpmTag | tag | ) |

Return tag name from value.

Parameters:

  | tag | tag value

Returns:
  tag name, "(unknown)" on not found

int rpmTagGetNames | ( | rpmtd | tagnames,
|  | int | fullname |
| ) |  |  |

Return known rpm tag names, sorted by name.

Return values:

  | tagnames | tag container of string array type

Parameters:

  | fullname | return short or full name

Returns:
  number of tag names, 0 on error

rpmTagType rpmTagGetType | ( | rpmTag | tag | ) |

Return tag data type from value.

Parameters:

  | tag | tag value

Returns:
  tag data type, RPM_NULL_TYPE on not found.

rpmTag rpmTagGetValue | ( | const char * | tagstr | ) |

Return tag value from name.

Parameters:

  | tagstr | name of tag

Returns:
  tag value, -1 on not found

rpmTagClass rpmTagTypeGetClass | ( | rpmTagType | type | ) |

Return data class of type.

Parameters:

  | type | tag type

Returns:
  data class, RPM_NULL_CLASS on unknown.